org.codehaus.groovy.runtime

## Class RegexSupport

- java.lang.Object
- - org.codehaus.groovy.runtime.RegexSupport

-     public class RegexSupport
      extends Object

  Used to store the last regex match.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Matcher` | `getLastMatcher()`
    `static void` | `setLastMatcher(Matcher matcher)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexSupport

          public RegexSupport()

  - ### Method Detail

    - #### getLastMatcher

          public static Matcher getLastMatcher()

    - #### setLastMatcher

          public static void setLastMatcher(Matcher matcher)